# std::student_t_distribution::n

From cppreference.com
< cpp‎ | numeric‎ | random‎ | student t distribution

RealType n() const; |  | (since C++11)

Returns the n distribution parameter (number of the degrees of freedom) the distribution was constructed with. The default value is 1.0.

### Parameters

(none)

### Return value

Floating point value identifying the degrees of freedom of the distribution

### See also

param | gets or sets the distribution parameter object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/student_t_distribution/n&oldid=63394"